Locations
Get Location
Retrieve one test location by its ID
GET
/
api
/
v1
/
locations
/
{id}
curl --request GET \
--url https://anivahealth.com/api/v1/locations/b7e2d1f5-3c4a-4e8b-a2f1-9d0c1e2f3a4b \
--header 'x-api-key: YOUR_API_KEY'
{
"id": "b7e2d1f5-3c4a-4e8b-a2f1-9d0c1e2f3a4b",
"name": "Aniva Berlin Mitte",
"company_name": "Aniva GmbH",
"street": "Unter den Linden",
"house_number": "42",
"address_line_2": null,
"city": "Berlin",
"state": "Berlin",
"state_code": "BE",
"postal_code": "10117",
"country_name": "Germany",
"country_code": "DE",
"timezone": "Europe/Berlin",
"latitude": 52.517036,
"longitude": 13.388859,
"contact_phone": "+4930987654321",
"email": "berlin-mitte@anivahealth.com",
"website": "https://anivahealth.com",
"google_maps_url": "https://maps.google.com/?q=Unter+den+Linden+42+Berlin",
"image_url": "https://cdn.anivahealth.com/locations/berlin-mitte.jpg",
"open_hours": {
"monday": [{ "open": "08:00", "close": "18:00" }],
"tuesday": [{ "open": "08:00", "close": "18:00" }],
"wednesday": [{ "open": "08:00", "close": "18:00" }],
"thursday": [{ "open": "08:00", "close": "18:00" }],
"friday": [{ "open": "08:00", "close": "16:00" }],
"saturday": [],
"sunday": []
}
}
Retrieve one location. It has the same shape as an entry of
List Locations. The
url of a location.*
webhook event points here.
Requires the locations_view or test_sessions_schedule scope.
Request
Path parameters
string
required
Location ID (UUID).
Response
On success, the API returns200 OK with the location object.
string
required
Unique location identifier (UUID).
string
required
Display name of the location.
string
Company or clinic name. May be
null.string
Street name, without the house number. May be
null.string
House number. May be
null.string
Additional address line — c/o, building, or floor. May be
null.string
City. May be
null.string
State or province. May be
null when the city has no linked state (e.g. city-states or unmapped
imports).string
The state’s ISO 3166-2 code without the country prefix (e.g.,
BW for Baden-Württemberg). May be
null.string
Postal or ZIP code. May be
null.string
Full country name. May be
null.string
ISO 3166-1 alpha-2 country code (e.g.,
DE, US, FI). May be null.string
IANA timezone identifier (e.g.,
Europe/Berlin). May be null.number
Latitude of the address in decimal degrees (WGS 84). May be
null.number
Longitude of the address in decimal degrees (WGS 84). May be
null.string
Contact phone number for the location. May be
null.string
Contact email address. May be
null.string
Website URL. May be
null.string
Google Maps link for the location. May be
null.string
URL of a location photo. May be
null.object
Weekly opening hours. Each weekday key (
monday–sunday) maps to an array of open/close time
ranges. An empty array means the location is closed that day. The whole object is null when
hours are not available for the location.Error responses
| Status | Description |
|---|---|
400 | The id is not a UUID. |
401 | The API key is missing or invalid. |
403 | Your API key does not have the required scope. |
404 | The location does not exist, is inactive, or is outside your access. |
500 | Internal server error. |
curl --request GET \
--url https://anivahealth.com/api/v1/locations/b7e2d1f5-3c4a-4e8b-a2f1-9d0c1e2f3a4b \
--header 'x-api-key: YOUR_API_KEY'
{
"id": "b7e2d1f5-3c4a-4e8b-a2f1-9d0c1e2f3a4b",
"name": "Aniva Berlin Mitte",
"company_name": "Aniva GmbH",
"street": "Unter den Linden",
"house_number": "42",
"address_line_2": null,
"city": "Berlin",
"state": "Berlin",
"state_code": "BE",
"postal_code": "10117",
"country_name": "Germany",
"country_code": "DE",
"timezone": "Europe/Berlin",
"latitude": 52.517036,
"longitude": 13.388859,
"contact_phone": "+4930987654321",
"email": "berlin-mitte@anivahealth.com",
"website": "https://anivahealth.com",
"google_maps_url": "https://maps.google.com/?q=Unter+den+Linden+42+Berlin",
"image_url": "https://cdn.anivahealth.com/locations/berlin-mitte.jpg",
"open_hours": {
"monday": [{ "open": "08:00", "close": "18:00" }],
"tuesday": [{ "open": "08:00", "close": "18:00" }],
"wednesday": [{ "open": "08:00", "close": "18:00" }],
"thursday": [{ "open": "08:00", "close": "18:00" }],
"friday": [{ "open": "08:00", "close": "16:00" }],
"saturday": [],
"sunday": []
}
}
⌘I
curl --request GET \
--url https://anivahealth.com/api/v1/locations/b7e2d1f5-3c4a-4e8b-a2f1-9d0c1e2f3a4b \
--header 'x-api-key: YOUR_API_KEY'
{
"id": "b7e2d1f5-3c4a-4e8b-a2f1-9d0c1e2f3a4b",
"name": "Aniva Berlin Mitte",
"company_name": "Aniva GmbH",
"street": "Unter den Linden",
"house_number": "42",
"address_line_2": null,
"city": "Berlin",
"state": "Berlin",
"state_code": "BE",
"postal_code": "10117",
"country_name": "Germany",
"country_code": "DE",
"timezone": "Europe/Berlin",
"latitude": 52.517036,
"longitude": 13.388859,
"contact_phone": "+4930987654321",
"email": "berlin-mitte@anivahealth.com",
"website": "https://anivahealth.com",
"google_maps_url": "https://maps.google.com/?q=Unter+den+Linden+42+Berlin",
"image_url": "https://cdn.anivahealth.com/locations/berlin-mitte.jpg",
"open_hours": {
"monday": [{ "open": "08:00", "close": "18:00" }],
"tuesday": [{ "open": "08:00", "close": "18:00" }],
"wednesday": [{ "open": "08:00", "close": "18:00" }],
"thursday": [{ "open": "08:00", "close": "18:00" }],
"friday": [{ "open": "08:00", "close": "16:00" }],
"saturday": [],
"sunday": []
}
}